REST API
Infra APISandbox

Resolve a routine's saved Computer

GET/api/v1/sandboxes/{sandbox_id}/automation-grants/{grant_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Path Parameters

sandbox_id*string

Sandbox ID

grant_id*string

Grant ID

Query Parameters

scope*string

Purpose scope: routine:, group_member:, or peer:

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/sandboxes/string/automation-grants/string?scope=string"
{  "cloned_repos": [    {      "branch": "string",      "checkout_sha": "string",      "path": "string",      "url": "string",      "warning": "string"    }  ],  "created_at": "string",  "expires_at": "string",  "id": "string",  "organization_id": "string",  "services": [    {      "name": "string",      "protocol": "http",      "url": "string"    }  ],  "status": "creating",  "template_build_id": "string",  "updated_at": "string",  "workspace_path": "string",  "workspace_warning": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}